#ifndef COMMON_ENVELOPE_PRESCRIPTIONS_H
#define COMMON_ENVELOPE_PRESCRIPTIONS_H

#include "common_envelope_prescriptions.def"

#undef X
#define X(TYPE,NUM) COMENV_ALGORITHM_##TYPE = NUM,
enum { COMENV_ALGORITHMS_LIST };
#undef X

#undef X
#define X(CODE,NUM) COMENV_##CODE = NUM,
enum { COMENV_PRESCRIPTIONS_LIST };
#undef X

#define X(CODE) COMENV_EJECTION_SPIN_METHOD_##CODE,
enum { COMENV_EJECTION_SPIN_METHODS_LIST };
#undef X

#define X(CODE) COMENV_MERGER_SPIN_METHOD_##CODE,
enum { COMENV_MERGER_SPIN_METHODS_LIST };
#undef X

#define X(CODE,NUM) LAMBDA_CE_##CODE = NUM,
enum { COMENV_LAMBDA_LIST };
#undef X

#define X(CODE,NUM) COMENV_SCATTER_ETA_##CODE = NUM,
enum { COMENV_SCATTER_ETA_LIST };
#undef X


#endif // COMMON_ENVELOPE_PRESCRIPTIONS_H
